﻿'######################################################################################################################################
'# CLASSE CONFIGURATION:
'#  - Charge les parametres de MediaPortal:
'#       * Video: Structure des elements video
'#       * Video_Extentions: Liste des extentions Divx
'#       * Iso_Extentions: Liste des extentions Iso
'######################################################################################################################################
Imports MediaPortal.Profile

Public Class Configuration

    Public Structure STRUC_Videoparam
        Dim Nom As String
        Dim Chemin As String
    End Structure

    Public Video() As STRUC_Videoparam
    Public Video_Extentions As String
    Public Iso_Extentions As String

    '######################################################################################################################################
    '# Constructeur
    '######################################################################################################################################
    Sub New()
        Dim MP_Config As MPSettings
        Dim i As Integer

        MP_Config = New MPSettings()

        'Chargement des elements Video
        For i = 0 To 99
            If MP_Config.GetValue("movies", "sharename" & i) <> "" Then
                ReDim Preserve Video(i)
                Video(i).Nom = MP_Config.GetValue("movies", "sharename" & i)
                Video(i).Chemin = MP_Config.GetValue("movies", "sharepath" & i)
            End If
        Next

        'Chargement de la configuration des extentions Video
        Video_Extentions = MP_Config.GetValue("movies", "extensions")
        'Chargement de la configuration des extentions Iso
        Iso_Extentions = MP_Config.GetValue("daemon", "extensions")
    End Sub
    '######################################################################################################################################

End Class
